Subject: Re: Old Oranges??
From: [email-masked] (Rick Harrison)
Date: Tue, 1 Mar 1994 01:16:12 GMT
Newsgroups: rec.gardens

There are many varieties of oranges.  Diller, Hamlin, Parson Brown,
Trovita, the various navel oranges, the various "blood" oranges....
each variety has a slightly different flavor, shape, color, size etc.
Some are more suited to home orchards than large-scale commercial
production.

I keep a list of tangerine varieties.  Clearly, characteristics like
color, ability to withstand rough handling, and resistance to disease
or the most important factors being considered by modern citrus
breeders.  Flavor is secondary, altho when it is mentioned, it is
clear that the breeders think people want an insipidly sweet fruit.

In citrus, as with tomatoes, the best varieties (for flavor) only
survive in home orchards/gardens, and in groves owned by connosieurs.